play.inject

## Class Injector

- java.lang.Object
- - play.inject.Injector

-     public class Injector
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Injector()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `getBeanOfType(java.lang.Class<T> clazz)`
    `static <T> T` | `getBeanOfType(java.lang.String className)`
    `static void` | `inject(BeanSource source)` For now, inject beans in controllers and any classes that include @RequireInjection.
    `static void` | `setBeanSource(BeanSource beanSource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Injector

          public Injector()

  - ### Method Detail

    - #### setBeanSource

          public static void setBeanSource(BeanSource beanSource)

    - #### getBeanOfType

          public static <T> T getBeanOfType(java.lang.String className)

    - #### getBeanOfType

          public static <T> T getBeanOfType(java.lang.Class<T> clazz)

    - #### inject

          public static void inject(BeanSource source)

      For now, inject beans in controllers and any classes that include @RequireInjection.
      Parameters:
        `source` - the beanSource to inject

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly